problemas con tarjeta ati

Imagen de doritos
0 puntos

resulta que tengo un laptop hp pavilion ze4430us y trae una tarjeta ati un poco viejita

el modelo es ati radeon igp-320m ,,,,,,el roblema k instale los driver de ati desacrgados de la pagina de ati

la vercion mas nueva que es la 7.12 y hace todo el procedimiento pero sigo sin tener aceleracion grafica,,

buscando en google aye un pos pero esta en ingles y no entendi nada,,,,kualkier ayuda se le agradece

echenme la lamo para tener mi compiz fusion,,,,,,,,,,,,,,,

esperando su ayuda mil gracias

Imagen de xexio
+1
0
-1

prueba con envy alomejor eso funciona

+1
0
-1

mas vale vivir depie k vivir arodiyado

Imagen de doritos
+1
0
-1

gracias por responder 

 

y komentar  k instala envy    y  trato de instalar el driver  y no pudo

lo intente  instalar  manual mente  y tampoko   hace el proseso  pero no kiere

maldita mierda de tarjeta   sigo   en la lucha  claro  y kualkier ayuda es bien benida  y se agradece

mi correo es  doritos_8@hotmail.com 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

¿Como instalaste los drivers propietarios?  ¿Tienes activados los drivers privativos de ubuntu?   ¿Te marca algún error?   ¿Como tienes configurado el xorg?

 

Saludos. 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

o  mira los driver privativos no los tengo activados  ya k ni el sistema me reconoce la tarjeta solo me reconose la tarjeta de red inalambrika,,,ahora  los driver los descarge de la paguina de ati  descarge el ultimo k es el 7.12  y lo instale  con un sudo sh ./ati etc

y hiso todo el procedimiento  komo si lo hubiera instalado,, pero no

y en mi xorg  ultimamente  komo tuve k reconfigurar el entorno pork

no me dejaba entrar con sudo dpkg

 ya no tengo nada  uta  peor

 sudo gedit /etc/X11/Xorg.conf  ya no tengo nada  espero

su ayuda  gracias 

 

+1
0
-1
Imagen de rikivillalba
+1
0
-1

Probaste con el driver libre? ... aunque supongo que si funcionara lo hubiera detectado.

otra cosa q se puede hacer es mirar el log del servidor X:

/var/log/Xorg.0.log

en alguna línea indica cual es la falla.

Yo particularmente probaría con el driver privativo de ATI (fglrx) de la página oficial como último recurso, prueba instalar el paquete "xserver-xorg-video-ati", y configurar el xorg.conf en la sección "Device", poner "ati" en la línea "Driver"

si no funciona, prueba con el  xserver-xorg-video-fglrx que viene en los repositorios restricted. en Driver poner "fglrx"

 

+1
0
-1

Una graaan juguetería ..... de la mente, la mente!!!!

Imagen de doritos
+1
0
-1

aki de nuevo  esto es lo k dice mi X11/xorg.conf

 Section "InputDevice"
        Driver          "wacom"
        Identifier      "cursor"
        Option          "Device"        "/dev/input/wacom"
        Option          "Type"          "cursor"
        Option          "ForceDevice"   "ISDV4"         # Tablet PC ONLY
EndSection

Section "Device"
        Identifier      "ATI Technologies Inc Radeon Mobility U1"
        Driver          "ati"
        BusID           "PCI:1:5:0"
EndSection

Section "Monitor"
        Identifier      "Monitor genérico"
        Option          "DPMS"
        HorizSync       28-51
        VertRefresh     43-60
EndSection

Section "Screen"

haber si me pueden echar una mano 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Mira, por lo visto tienes instalado el driver libre de ati... Para poder usar el driver de la página de ati, es más complicado. Si ves la opción de drivers privativos en ubuntu y está la tarjeta de video, puedes usar el driver fglrx que trae preinstalada la distro. Si no, tendrás que hacer algo más complicado.

Yo en lo particular uso esta guía para instalar los drivers de la página de ati. http://mundogeek.net/archivos/2007/10/24/fglrx-8423-compiz-fusion-con-at...

Saludos.

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

gracias amigo despues de un descanso de 6 horas  para dormir

te comento k siguiendo la guia k me das  ,,, instale  todo y al parecer  lo instala  pero al reiniciar el entorno grafico   tronics,, ya no puedo entrar  tengo k volber a poner el famoso sudo dpkg-reconfigure  pork sino no me va,,,  bueno  siento k tendre k tirar la tuaya,,k no es

muy komun en mi ,,,,y segire trabajando kom mi desktop  k la tengo al 100   kon nvidia,,, y ponerme una mas de tantas descalabradas k e tenido,, ya k para mi es un super frakaso no haber  podido kon esta trajeta  espero un  la ayuda de un  guru  en linux  para ver si se puede echar a volar  

 

gracias  y   mucha suerte  alos k komo yo tengan esta mierda  de tarjeta   saludos  y adelante 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Se carga bien el modulo fglrx? checalo en una terminal poniendo

lsmod | grep fglrx

si no está cargado, tendrás que crearlo.

Saludos.

 

P.D. Pon tu xorg.conf completo para ver que podría estar faltandote.

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

komentarte k volvi a instalar el driver d ati mediante este proceso:

lux12@lux12:~$ sudo sh ./ati-driver-installer-8.443.1-x86.x86_64.run
[sudo] password for lux12:

y todo vien solo k al terminar de instlr me dice k tengo k poner esto

aticonfig --initial -f y lo ago y aki veo un error:

lux12@lux12:~$ aticonfig --initial -f
Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.original-1

aticonfig: Writing to '/etc/X11/xorg.conf' failed. Bad file descriptor.

komo veras aki ya tengo un error bueno eso kreo y

luego al kerer ver el /etc/X11/xorg.conf no me deja verlo aparece en blanco ya le di kon gedit y kon vi y aparece en blanko

k podra ser

otra cosa al poner el komando  para chekar el fglrx  no pasa nada 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Ok, mira.  el aticonfig  ejecutalo con sudo, eso debería eliminar el error de escritura.

El  xorg.conf lo ves en blanco por que lo guarda como xorg.conf.original-1.

por lo visto no tienes el modulo fglrx creado, entonces instala el module-assistant

    sudo apt-get install module-assistant

luego:

    sudo m-a update
    sudo m-a prepare
    sudo m-a a-i fglrx

una vez terminado y sin que te hayan salido errores, haces un:

    sudo modprobe fglrx

reinicia las X's con control+backspace

y listo.

prueba con un glrxgears

Saludos. 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

ok  ya lo hice  y todo marca si errores  el error yega cuando pongo

lux12@lux12:~$   sudo modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/2.6.22-14-generic/updates/dkms/fglrx.ko): Operation not permitted

tambien trato de ponerte el xorg  pero sige en blanco esto es lo k ago

lux12@lux12:~$ sudo gedit xorg.conf.original-1
lux12@lux12:~$ sudo gedit /etc/X11/xorg.conf.original-1
y aparece en blanko...

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Intenta reiniciando y haciendo el modprobe fglrx

has un ls a la carpeta /etc/X11 para ver si hay algún xorg.conf~ que es un respaldo del anterior, y pueda tener la info.  si existe y tiene datos, dale a un:

sudo cp /etc/X11/xorg.conf~ /etc/X11/xorg.conf

Saludos. 

 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

te komento k el modprobe fglrx  sige dando el mismo error  aun kon el sudo....

y k haciendo lo k me dijiste  del xor  si aia informacion  ahora ya me dalos datos  estos so  haciendo un sudo gedit /etc/X11/xorg.conf

# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
EndSection

Section "InputDevice"
    Identifier    "Generic Keyboard"
    Driver        "kbd"
    Option        "CoreKeyboard"
    Option        "XkbRules"    "xorg"
    Option        "XkbModel"    "pc105"
    Option        "XkbLayout"    "es"
    Option        "XkbOptions"    "lv3:ralt_switch"
EndSection

Section "InputDevice"
    Identifier    "Configured Mouse"
    Driver        "mouse"
    Option        "CorePointer"
    Option        "Device"        "/dev/input/mice"
    Option        "Protocol"        "ImPS/2"
    Option        "ZAxisMapping"        "4 5"
EndSection

Section "InputDevice"
    Identifier    "Synaptics Touchpad"
    Driver        "synaptics"
    Option        "SendCoreEvents"    "true"
    Option        "Device"        "/dev/psaux"
    Option        "Protocol"        "auto-dev"
    Option        "HorizEdgeScroll"    "0"
EndSection

Section "InputDevice"
    Driver        "wacom"
    Identifier    "stylus"
    Option        "Device"    "/dev/input/wacom"
    Option        "Type"        "stylus"
    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
EndSection

Section "InputDevice"
    Driver        "wacom"
    Identifier    "eraser"
    Option        "Device"    "/dev/input/wacom"
    Option        "Type"        "eraser"
    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
EndSection

Section "InputDevice"
    Driver        "wacom"
    Identifier    "cursor"
    Option        "Device"    "/dev/input/wacom"
    Option        "Type"        "cursor"
    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
EndSection

Section "Device"
    Identifier    "ATI Technologies Inc Radeon Mobility U1"
    Driver        "radeon"
    BusID        "PCI:1:5:0"
EndSection

Section "Monitor"
    Identifier    "Monitor genérico"
    Option        "DPMS"
    HorizSync    28-51
    VertRefresh    43-60
EndSection

Section "Screen"
    Identifier    "Default Screen"
    Device        "ATI Technologies Inc Radeon Mobility U1"
    Monitor        "Monitor genérico"
    DefaultDepth    24
    SubSection "Display"
        Modes        "1024x768"
    EndSubSection
EndSection

Section "ServerLayout"
    Identifier    "Default Layout"
    Screen        "Default Screen"
    InputDevice    "Generic Keyboard"
    InputDevice    "Configured Mouse"

# Uncomment if you have a wacom tablet
#    InputDevice     "stylus"    "SendCoreEvents"
#    InputDevice     "cursor"    "SendCoreEvents"
#    InputDevice     "eraser"    "SendCoreEvents"
    InputDevice    "Synaptics Touchpad"
EndSection

haber si tu sabes leer esto  yo no 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Ok, para comenzar:

El error según un post que encontré, lo podemos eliminar haciendo lo siguiente:

 modprobe -vf fglrx

si el resultado te da algo como esto:

install /sbin/lrm-video fglrx

abrá que modificar el archivo /etc/modprobe.d/lrm-video

y comentar donde dice:

install fglrx /sbin/lrm-video fglrx $CMDLINE_OPTS

para dejarlo así:

# install fglrx /sbin/lrm-video fglrx $CMDLINE_OPTS

y reintenta cargando el modulo con el modprobe.

 

En tu xorg, hay que cambiar donde dice driver radeon por fglrx 

Section "Device"
    Identifier    "ATI Technologies Inc Radeon Mobility U1"
    Driver        "fglrx"
    BusID        "PCI:1:5:0"
EndSection

y agregar estas líneas para cargar los módulos necesarios.

Section "Module"
    Load "bitmap"
    Load "ddc"
    Load "dri"
    Load "extmod"
    Load "freetype"
    Load "glx"
    Load "int10"
    Load "type1"

    Load "vbe"

    Load "fglrx"

    Load "dbe"

EndSection

 

 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

 ms komentrios  tire este comando agregandole el sudo y sin el

 modprobe -vf fglrx y me sige dando el error

por otro lado al chekar el  /etc/modprobe.d/lrm-video esto es lo k me arroja

## Make nvidia/nvidia_legacy and fglrx use /sbin/lrm-video to load
#install fglrx /sbin/lrm-video fglrx $CMDLINE_OPTS
#install nvidia /sbin/lrm-video nvidia $CMDLINE_OPTS
#install nvidia_legacy /sbin/lrm-video nvidia_legacy $CMDLINE_OPTS
#install nvidia_new /sbin/lrm-video nvidia_new $CMDLINE_OPTS
#

no se si tenga k borrar todo  y dejar slo esto::

# install fglrx /sbin/lrm-video fglrx $CMDLINE_OPTS

gracias por responder  

+1
0
-1
Imagen de Sanguinario_Joe
+1
0
-1

Haz esto:

sudo aticonfig --initial -f

Es un archivo protegido, no se puede modificar sin privilegios de superusuario.

Saludos!!!

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Dejalo tal cual está.

 Has checado si tienes instalados otros drivers ?

sudo aptitude search fglrx

 

 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

[sudo] password for lux12:
i   fglrx-amdcccle                  - Catalyst Control Center for the ATI graphi
p   fglrx-control                   - Control panel for the ATI graphics acceler
v   fglrx-driver                    -                                          
v   fglrx-driver-dev                -                                          
v   fglrx-kernel                    -                                          
c   fglrx-kernel-2.6.22-14-generic  - ATI binary kernel module for Linux 2.6.22-
i   fglrx-kernel-source             - Kernel module source for the ATI graphics
i   xorg-driver-fglrx               - Video driver for the ATI graphics accelera
i   xorg-driver-fglrx-dev           - Video driver for the ATI graphics accelera
lux12@lux12:~$

estos son los driver k me aparecen  krees k tenga un error

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Estos dos no deberían estar instalados 

xorg-driver-fglrx

xorg-driver-fglrx-dev

pero sí:

 fglrx-driver

fglrx-kernel

que son los que generaste con las instrucciónes de la página que te pasé.

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

invetigando  y leyendo en google  yege al foro de suse en espanol

y ponen una liga  de los drivet ati  y bienen varias ati moviliti  pero no biene  la mia   ufff,tambien komentarte  k tube k instalar de nuevo el ubuntu 7.10  pork no pude  la verdad,,,tendre k instalar yo pienso una vercion mas viejita de este sistema  para k me rekonosca de perdida la tarjeta de video  ya k asi si pongo unos videos a para ver komo k se traba  bueno  muchas gracias  y segire investigando, 

otra cosa este es el link de ati:

http://ati.de/support/drivers/linux/radeonprevious-linux.html

donde creo k mi driver pudiera ser aunk no se mensiona el 8.28

pero trae  otra leyenda k dice esto :

Automated installer and Display Drivers for XFree86 4.3 and X.Org 6.7, 6.8, 6.9, 7.0, 7.1

crees k pudiera instalarlo  en fin no kreo k pase a mayores  saludos  y muchas gracias  de nuevo  sigo en la lucha 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

podrías postear el resultado de estos comandos:

lspci | grep ATI

lspci -v -s 01:05.0

lsmod | grep ati

Saludos.

y los drivers que tienes instalados de video.

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

quiero agradecer al companero y los companeros k me ayudaron y komentar,, k despues de tantos y tantos fallos  no me kedo

mas  remedio  k instalar  ubuntu 7.04 y  con este  ubuntu me rekonocio  todo  desde el principio   y ya tengo mi compiz fusion  no tan rapido komo esperaba  

ya k mi tarjeta  komo dije desde el principio es una mierda (hablando komo  hablan los de linux)  pero  gracias  ya tengo mi cubo rolando kon pokos efectos para no cargarlo mucho  pero hay ba ,, un saludo y un agradecimiento  al companero  k no dejo de apoyarme  

Hach Winik)  k se ve k sabe bastante  y lo mejor  k apoya,, le dejo mi correo para  si un dia kiere platikar kon gusto platikamos

 

saludos  doritos_8@hotmail.com 

+1
0
-1
Imagen de Hach Winik
+1
0
-1

Me alegra que hayas resuelto tu problema...    Estamos para ayudarnos en el foro.  Lo poco que se sabe hay que aportarlo.

Saludos.

 

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de Hach Winik
+1
0
-1

Según en ésta página (2005) http://rzr.online.fr/docs/comp/gfxcard.htm pudieron hacer funcionar las 3d, con los drivers radeon, osea, hace 2 años, no creo que ahora no sea posible.  Si tienes recién instalado el sistema, no intentes usar los drivers de la página de ati.   Hay que probar con los libres.

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de doritos
+1
0
-1

amigo tambien estaba  pensando  si yo instalo

el gutsy   y una ves istalado  no se podrian sacar los driver de  esta tarjeta del cd   de  ubuntu 7.04  suena a tonteria  lo se,,

otra cosa ya tengo mi  feisty,, si lo actualizo  ya k en synaptic  me

dice k hay una actualizacion a 7.10  no pierdo estas configuraciones

 

saludos  

 

+1
0
-1
Imagen de angel551
+1
0
-1

angel551

He instalado el Ubuntu 9.04 en mi portatil, la tarjeta grafica es una Ati Radeon, tras instalar Ubuntu 9.04 funcionó bien, reconociendo la tarjeta y todo el hardware, pero saltaron varias actualizaciones automáticas y las instalé, desde ese momento no puedo ver el escritorio, pero si el arranque del Kernel.
Podrías ayudarme?

Gracias de antemano, os envio un saludo

AVISO NO USEIS UBUNTU 9.04 DESCONFIGURA TODOS LOS HARDWARE, Y DEJA EL ORDENADOR INSERVIBLE POR COMPLETO. NO PODREIS INSTALARA NINGUN OTRO S.O.

+1
0
-1

angel551

Imagen de xexio
+1
0
-1

joder, pues no creoq que te deje todo inservible la verdad....
vaya tela xDDD

+1
0
-1

mas vale vivir depie k vivir arodiyado